import type { IValidators } from '../interfaces';
export declare const loginValidators: IValidators;
export declare const documentsValidators: IValidators;
export declare const dateValidators: IValidators;
export declare const validators: {
    [x: string]: import("@platform/core").Validator;
};
export declare const err: {
    notEmpty: (message?: string) => import("@platform/core").IRuleGetter;
    notEmptyString: (message?: string) => import("@platform/core").IRuleGetter;
    notEmptyObject: (message?: string) => import("@platform/core").IRuleGetter;
    shorterThan: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    longerThan: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    exactLength: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    onlyNumbers: (message?: string) => import("@platform/core").IRuleGetter;
    notNil: (message?: string) => import("@platform/core").IRuleGetter;
    decimalMin: (min: number, inclusive: boolean, message?: string) => import("@platform/core").IRuleGetter;
    decimalMax: (max: number, inclusive: boolean, message?: string) => import("@platform/core").IRuleGetter;
    email: (message?: string) => import("@platform/core").IRuleGetter;
    login: ({ message, ...params }: {
        phoneField?: string | undefined;
        passwordField?: string | undefined;
        message?: string | undefined;
    }) => import("@platform/core").IRuleGetter;
    innCalcKey: (message?: string) => import("@platform/core").IRuleGetter;
    ogrnOgrnipCalcKey: (message?: string) => import("@platform/core").IRuleGetter;
    doesNotMatchPhone: (path: string, message: string) => import("@platform/core").IRuleGetter;
    dateAfter: (value: string, message: string) => import("@platform/core").IRuleGetter;
    dateBefore: (value: string, message: string) => import("@platform/core").IRuleGetter;
    isEqual: (value: boolean | number | string, message: string) => import("@platform/core").IRuleGetter;
    isUuid: (message?: string) => import("@platform/core").IRuleGetter;
    password: (message: string) => import("@platform/core").IRuleGetter;
    lengthInRange: (min: number, max: number, message: string) => import("@platform/core").IRuleGetter;
    exactMultiplyLength: (values: number[], hasNull: boolean, message: string) => import("@platform/core").IRuleGetter;
    equalToField: (path: string, message: string) => import("@platform/core").IRuleGetter;
    notEqualToField: (path: string, message: string) => import("@platform/core").IRuleGetter;
    matchPattern: (regexp: RegExp, message: string) => import("@platform/core").IRuleGetter;
    notZeroes: (message: string) => import("@platform/core").IRuleGetter;
    uinUipCalcKey: (accountPath: string, message: string) => import("@platform/core").IRuleGetter;
    accountCalcKey: (bicPath: string, message: string) => import("@platform/core").IRuleGetter;
    decimalNoFraction: (message: string) => import("@platform/core").IRuleGetter;
    notEqual: (value: any, message: string) => import("@platform/core").IRuleGetter;
};
export declare const warn: {
    notEmpty: (message?: string) => import("@platform/core").IRuleGetter;
    notEmptyString: (message?: string) => import("@platform/core").IRuleGetter;
    notEmptyObject: (message?: string) => import("@platform/core").IRuleGetter;
    shorterThan: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    longerThan: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    exactLength: (length: number, message?: string) => import("@platform/core").IRuleGetter;
    onlyNumbers: (message?: string) => import("@platform/core").IRuleGetter;
    notNil: (message?: string) => import("@platform/core").IRuleGetter;
    decimalMin: (min: number, inclusive: boolean, message?: string) => import("@platform/core").IRuleGetter;
    decimalMax: (max: number, inclusive: boolean, message?: string) => import("@platform/core").IRuleGetter;
    email: (message?: string) => import("@platform/core").IRuleGetter;
    login: ({ message, ...params }: {
        phoneField?: string | undefined;
        passwordField?: string | undefined;
        message?: string | undefined;
    }) => import("@platform/core").IRuleGetter;
    innCalcKey: (message?: string) => import("@platform/core").IRuleGetter;
    ogrnOgrnipCalcKey: (message?: string) => import("@platform/core").IRuleGetter;
    doesNotMatchPhone: (path: string, message: string) => import("@platform/core").IRuleGetter;
    dateAfter: (value: string, message: string) => import("@platform/core").IRuleGetter;
    dateBefore: (value: string, message: string) => import("@platform/core").IRuleGetter;
    isEqual: (value: boolean | number | string, message: string) => import("@platform/core").IRuleGetter;
    isUuid: (message?: string) => import("@platform/core").IRuleGetter;
    password: (message: string) => import("@platform/core").IRuleGetter;
    lengthInRange: (min: number, max: number, message: string) => import("@platform/core").IRuleGetter;
    exactMultiplyLength: (values: number[], hasNull: boolean, message: string) => import("@platform/core").IRuleGetter;
    equalToField: (path: string, message: string) => import("@platform/core").IRuleGetter;
    notEqualToField: (path: string, message: string) => import("@platform/core").IRuleGetter;
    matchPattern: (regexp: RegExp, message: string) => import("@platform/core").IRuleGetter;
    notZeroes: (message: string) => import("@platform/core").IRuleGetter;
    uinUipCalcKey: (accountPath: string, message: string) => import("@platform/core").IRuleGetter;
    accountCalcKey: (bicPath: string, message: string) => import("@platform/core").IRuleGetter;
    decimalNoFraction: (message: string) => import("@platform/core").IRuleGetter;
    notEqual: (value: any, message: string) => import("@platform/core").IRuleGetter;
};
export declare const when: (path: string) => {
    longerThan: (length: number) => import("@platform/core").IConditionGetter;
    isEqual: (value: string | number | boolean) => import("@platform/core").IConditionGetter;
    isNotEqual: (value: string | number | boolean) => import("@platform/core").IConditionGetter;
    isNotEmptyObject: (value: Record<string, undefined>) => import("@platform/core").IConditionGetter;
    isNotEmpty: () => import("@platform/core").IConditionGetter;
    isEqualToField: (path: string) => import("@platform/core").IConditionGetter;
    isNotEqualToField: (path: string) => import("@platform/core").IConditionGetter;
    someIsEqual: (value: any) => import("@platform/core").IConditionGetter;
    hasLinks: (...paths: string[]) => import("@platform/core").IConditionGetter;
    inArray: (validValues: unknown) => import("@platform/core").IConditionGetter;
};
